{application,ecto,
             [{registered,[]},
              {description,"Ecto is a domain specific language for writing queries and interacting with databases in Elixir.\n"},
              {vsn,"1.1.8"},
              {modules,['Elixir.Ecto','Elixir.Ecto.Adapter',
                        'Elixir.Ecto.Adapter.Migration',
                        'Elixir.Ecto.Adapter.Storage',
                        'Elixir.Ecto.Adapter.Transaction',
                        'Elixir.Ecto.Adapters.Connection',
                        'Elixir.Ecto.Adapters.MySQL',
                        'Elixir.Ecto.Adapters.Postgres',
                        'Elixir.Ecto.Adapters.SQL',
                        'Elixir.Ecto.Adapters.SQL.Query',
                        'Elixir.Ecto.Adapters.SQL.Sandbox',
                        'Elixir.Ecto.Application','Elixir.Ecto.Association',
                        'Elixir.Ecto.Association.BelongsTo',
                        'Elixir.Ecto.Association.Has',
                        'Elixir.Ecto.Association.HasThrough',
                        'Elixir.Ecto.Association.NotLoaded',
                        'Elixir.Ecto.CastError','Elixir.Ecto.ChangeError',
                        'Elixir.Ecto.Changeset',
                        'Elixir.Ecto.Changeset.Relation',
                        'Elixir.Ecto.ConstraintError','Elixir.Ecto.DataType',
                        'Elixir.Ecto.DataType.Any','Elixir.Ecto.Date',
                        'Elixir.Ecto.DateTime','Elixir.Ecto.DateTime.Utils',
                        'Elixir.Ecto.Embedded',
                        'Elixir.Ecto.InvalidChangesetError',
                        'Elixir.Ecto.InvalidURLError','Elixir.Ecto.LogEntry',
                        'Elixir.Ecto.Migration','Elixir.Ecto.Migration.Index',
                        'Elixir.Ecto.Migration.Reference',
                        'Elixir.Ecto.Migration.Runner',
                        'Elixir.Ecto.Migration.SchemaMigration',
                        'Elixir.Ecto.Migration.Supervisor',
                        'Elixir.Ecto.Migration.Table',
                        'Elixir.Ecto.MigrationError','Elixir.Ecto.Migrator',
                        'Elixir.Ecto.Model','Elixir.Ecto.Model.Callbacks',
                        'Elixir.Ecto.Model.OptimisticLock',
                        'Elixir.Ecto.MultipleResultsError',
                        'Elixir.Ecto.NoPrimaryKeyFieldError',
                        'Elixir.Ecto.NoPrimaryKeyValueError',
                        'Elixir.Ecto.NoResultsError','Elixir.Ecto.Pool',
                        'Elixir.Ecto.Pools.Poolboy',
                        'Elixir.Ecto.Pools.Poolboy.Worker',
                        'Elixir.Ecto.Pools.SojournBroker',
                        'Elixir.Ecto.Pools.SojournBroker.CoDel',
                        'Elixir.Ecto.Pools.SojournBroker.Timeout',
                        'Elixir.Ecto.Pools.SojournBroker.Worker',
                        'Elixir.Ecto.Query','Elixir.Ecto.Query.API',
                        'Elixir.Ecto.Query.Builder',
                        'Elixir.Ecto.Query.Builder.Distinct',
                        'Elixir.Ecto.Query.Builder.Filter',
                        'Elixir.Ecto.Query.Builder.From',
                        'Elixir.Ecto.Query.Builder.GroupBy',
                        'Elixir.Ecto.Query.Builder.Join',
                        'Elixir.Ecto.Query.Builder.LimitOffset',
                        'Elixir.Ecto.Query.Builder.Lock',
                        'Elixir.Ecto.Query.Builder.OrderBy',
                        'Elixir.Ecto.Query.Builder.Preload',
                        'Elixir.Ecto.Query.Builder.Select',
                        'Elixir.Ecto.Query.Builder.Update',
                        'Elixir.Ecto.Query.CompileError',
                        'Elixir.Ecto.Query.JoinExpr',
                        'Elixir.Ecto.Query.Planner',
                        'Elixir.Ecto.Query.QueryExpr',
                        'Elixir.Ecto.Query.SelectExpr',
                        'Elixir.Ecto.Query.Tagged','Elixir.Ecto.QueryError',
                        'Elixir.Ecto.Queryable','Elixir.Ecto.Queryable.Atom',
                        'Elixir.Ecto.Queryable.BitString',
                        'Elixir.Ecto.Queryable.Ecto.Query',
                        'Elixir.Ecto.Queryable.Tuple','Elixir.Ecto.Repo',
                        'Elixir.Ecto.Repo.Assoc','Elixir.Ecto.Repo.Preloader',
                        'Elixir.Ecto.Repo.Queryable',
                        'Elixir.Ecto.Repo.Schema',
                        'Elixir.Ecto.Repo.Supervisor','Elixir.Ecto.Schema',
                        'Elixir.Ecto.Schema.Metadata',
                        'Elixir.Ecto.StaleModelError','Elixir.Ecto.Storage',
                        'Elixir.Ecto.Time','Elixir.Ecto.Type',
                        'Elixir.Ecto.UUID',
                        'Elixir.Inspect.Ecto.Association.NotLoaded',
                        'Elixir.Inspect.Ecto.Date',
                        'Elixir.Inspect.Ecto.DateTime',
                        'Elixir.Inspect.Ecto.Query',
                        'Elixir.Inspect.Ecto.Schema.Metadata',
                        'Elixir.Inspect.Ecto.Time','Elixir.Mix.Ecto',
                        'Elixir.Mix.Tasks.Ecto.Create',
                        'Elixir.Mix.Tasks.Ecto.Drop',
                        'Elixir.Mix.Tasks.Ecto.Gen.Migration',
                        'Elixir.Mix.Tasks.Ecto.Gen.Repo',
                        'Elixir.Mix.Tasks.Ecto.Migrate',
                        'Elixir.Mix.Tasks.Ecto.Rollback',
                        'Elixir.Poison.Encoder.Decimal',
                        'Elixir.Poison.Encoder.Ecto.Date',
                        'Elixir.Poison.Encoder.Ecto.DateTime',
                        'Elixir.Poison.Encoder.Ecto.Time',
                        'Elixir.String.Chars.Ecto.Date',
                        'Elixir.String.Chars.Ecto.DateTime',
                        'Elixir.String.Chars.Ecto.Time']},
              {applications,[kernel,stdlib,elixir,logger,decimal,poolboy]},
              {env,[{json_library,'Elixir.Poison'}]},
              {mod,{'Elixir.Ecto.Application',[]}}]}.